FROM node:16

# make the 'app' folder the current working directory
WORKDIR /usr/src/app

# copy 'package.json' to install dependencies
COPY package*.json ./

# install dependencies
RUN yarn install

# copy files and folders to the current working directory (i.e. 'app' folder)
COPY . .

# build app for production with minification
# RUN npm run serve

EXPOSE 8080

CMD [ "yarn", "serve" ]
